{
    "name": "video",
    "version": "1.0.0",
    "main": "src/index.ts",
    "repository": "git@gitlab.com:javurek.vitaliy/video.git",
    "author": "Javurek V.",
    "license": "MIT",
    "devDependencies": {
        "@types/chai": "^4.1.7",
        "@types/mocha": "^5.2.5",
        "@types/node": "^10.12.18",
        "autoprefixer": "^9.4.3",
        "chai": "^4.2.0",
        "clean-webpack-plugin": "^1.0.0",
        "coveralls": "^3.0.2",
        "cross-env": "^5.2.0",
        "css-loader": "^2.0.2",
        "extract-text-webpack-plugin": "^3.0.2",
        "file-loader": "^2.0.0",
        "html-webpack-plugin": "^3.2.0",
        "jsdom": "^13.1.0",
        "jsdom-global": "^3.0.2",
        "mini-css-extract-plugin": "^0.5.0",
        "mocha": "^5.2.0",
        "node-sass": "^4.11.0",
        "nyc": "^13.1.0",
        "postcss-loader": "^3.0.0",
        "sass-loader": "^7.1.0",
        "ts-loader": "^5.3.2",
        "ts-node": "^7.0.1",
        "typescript": "^3.2.2",
        "webpack": "^4.28.2",
        "webpack-cli": "^3.1.2",
        "webpack-dev-server": "^3.1.14",
        "webpack-merge": "^4.1.5"
    },
    "scripts": {
        "start": "webpack-dev-server --open --config webpack.dev.js",
        "build": "webpack --config webpack.prod.js",
        "test": "cross-env TS_NODE_COMPILER_OPTIONS='{ \"module\": \"commonjs\" }' nyc mocha -r ts-node/register -r jsdom-global/register src/**/*.spec.ts",
        "coverage": "nyc report --reporter=lcov"
    },
    "nyc": {
        "extension": [
            ".ts",
            ".tsx"
        ],
        "exclude": [
            "**/*.d.ts",
            "**/webpack*"
        ],
        "reporter": [
            "html"
        ],
        "all": true
    },
    "dependencies": {}
}
